# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`gai`](#gai): Manage /etc/gai.conf
* [`gai::preferipv4`](#gai--preferipv4): Define precedence table in /etc/gai.conf to prefer IPv4

## Classes

### <a name="gai"></a>`gai`

init.pp --- Class gai

#### Examples

##### Declaring the class

```puppet

class { 'gai': }
```

#### Parameters

The following parameters are available in the `gai` class:

* [`label`](#-gai--label)
* [`precedence`](#-gai--precedence)
* [`scopev4`](#-gai--scopev4)
* [`reload`](#-gai--reload)

##### <a name="-gai--label"></a>`label`

Data type: `Hash[String,String]`

A hash with netmask/precedence pairs for the label table.

Default value: `{}`

##### <a name="-gai--precedence"></a>`precedence`

Data type: `Hash[String,String]`

A hash with netmask/precedence pairs for the precedence table.

Default value: `{}`

##### <a name="-gai--scopev4"></a>`scopev4`

Data type: `Hash[String,String]`

A hash with mask/value pairs for the scope table.

Default value: `{}`

##### <a name="-gai--reload"></a>`reload`

Data type: `Optional[Enum['yes','no']]`

Indicate if the config should be reloaded for every loopkup.
Valid options: 'yes', 'no' or undefined. Default: undef

Default value: `undef`

### <a name="gai--preferipv4"></a>`gai::preferipv4`

preferipv4.pp --- Class gai::preferipv4

#### Examples

##### Declaring the class

```puppet

include puppet-gai::preferipv4
```

